﻿<%@ Page Language="VB" MasterPageFile="~/CP/MasterPages/Modal.master" Title="Untitled Page" %>

<script runat="server">
  Dim _width As Integer = 440
  Dim _height As Integer = 400

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    If Not IsPostBack Then
      Page.ClientScript.RegisterStartupScript(Type.GetType("System.String"), "SetSize", "set_WindowSize(" & _width & "," & _height & ");", True)
      ' Check to see what mode the form (usually a FormView) should be in
      ' Populate the form as necessary
    End If
  End Sub

  Private Sub Close(ByVal blnRebind As Boolean)
    If blnRebind Then
      CType(Master.FindControl("ramModal"), Telerik.Web.UI.RadAjaxManager).ResponseScripts.Add("CloseAndRebind('" & Request.QueryString("HFID") & "')")
    Else
      CType(Master.FindControl("ramModal"), Telerik.Web.UI.RadAjaxManager).ResponseScripts.Add("JustClose()")
    End If
  End Sub

  Protected Sub btnUpdate_Click(ByVal sender As Object, ByVal e As System.EventArgs)
    ' This is where the db would be updated before closing the window
    Close(True)
  End Sub


</script>

<asp:Content ID="Content1" ContentPlaceHolderID="cModal" runat="Server">
  <asp:UpdatePanel runat="server" ID="upModal" RenderMode="Inline">
    <ContentTemplate>
      <div class="modalHeaderEdit">
        <asp:LinkButton ID="btnUpdate" runat="server" CausesValidation="True" CommandName="Update" SkinID="lbUpdate" OnClick="btnUpdate_Click">
          <asp:Image runat="server" ID="imgUpdate" ImageUrl="~/App_Themes/CP/Icons/Update.gif" />
          Update
        </asp:LinkButton>
        <asp:LinkButton ID="btnCancelUpdate" runat="server" OnClientClick="JustClose();" CausesValidation="False" CommandName="Cancel" SkinID="lbCancelUpdate">
          <asp:Image runat="server" ID="imgCancelUpdate" ImageUrl="~/App_Themes/CP/Icons/Cancel.gif" />
          Cancel
        </asp:LinkButton>
      </div>
      <div class="modalBody">
        This page would be a specific form designed for a particular row in the database.<br />
        <br />
        It typically would have two "modes" - insert and edit. Pass a "mode=New" value in the querystring to change the form into insert mode, or pass an ID to change the form into edit mode and populate it with the current data.<br />
        <br />
        Click "Update" to 'save', close the window, and reload the calling page.
      </div>
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
