﻿
Partial Class CP_ucMods
    Inherits System.Web.UI.UserControl
    Private _Section As String

    Public Property Section() As String
        Get
            Return _Section
        End Get
        Set(ByVal value As String)
            _Section = value
        End Set
    End Property

    Public ReadOnly Property ComboBox() As RadComboBox
        Get
            Return rcbModules
        End Get
    End Property

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            AddItem("Control Panel Home", "~/CP/")
            Select Case rcbModules.Items.Count
                Case 0
                    Response.Redirect("~/Default.aspx")
                Case 1
                    rcbModules.ShowToggleImage = True
                    rcbModules.ShowDropDownOnTextboxClick = False
            End Select
            Dim i As RadComboBoxItem = rcbModules.FindItemByText(Section)
            If i Is Nothing Then
                Response.Redirect("~/CP/Default.aspx?Page=NotAuthorized.htm")
            Else
                rcbModules.SelectedIndex = rcbModules.FindItemIndexByText(Section)
            End If
        End If
    End Sub

    Private Sub AddItem(ByVal text As String, ByVal url As String)
        Dim i As New RadComboBoxItem
        i.Text = text
        i.Value = url
        rcbModules.Items.Add(i)
    End Sub

    Protected Sub rcbModules_SelectedIndexChanged(ByVal o As Object, ByVal e As Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs) Handles rcbModules.SelectedIndexChanged
        Response.Redirect(rcbModules.SelectedValue)
    End Sub


End Class
